**************************
***	RUN USING STATA 16 ***
**************************

* Purpose: Master do file. All files can be executed from here.
* Last Updated: 06 May 2021

	clear all
	set maxvar 32767

*** Use your own file path

	global root 		"ROOT DIRECTORY GOES HERE"	

	global dofile		"$root/do"
	global input 		"$root/input"
	global output 		"$root/output"
	global table		"$root/output/table"
	global graph		"$root/output/graph"
	cd "$root"
	
*** Add programs
	*search renvars
	*ssc install uirt
	
***********************
**** DATA CLEANING ****	
***********************
	
*** Converting English 
	run "$dofile/01 english convert to WAEC.do"

*** Combining maths objective & subjective
	run "$dofile/02 math combine.do"		
	
*** Converting Maths
	run "$dofile/03 math convert to WAEC.do"

***********************
******* ANALYSIS ******
***********************

*** English CTT
	run "$dofile/04 english ctt.do"

*** Maths CTT
	run "$dofile/05 math ctt.do"

*** Maths IRT (objective)
	run "$dofile/06 math irt (objective).do"

*** Maths IRT (subjective)
	run "$dofile/07 math irt (subjective).do"

*** Maths distribution
	run "$dofile/08 math distribution.do"

*** Maths decomposition
	run "$dofile/09 decomposition.do"
	
*** Maths 'real' performance trends
	run "$dofile/10 difficulty adjusted trends.do"	

*** Graph comparison between WASSCE and study results
	run "$dofile/11 WAEC compare.do"	
	
	
	

